<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9134au1.xslt, 05-06-2024 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:ave="http://ei.vektis.nl/aanenafmeldingverzekerde/basisschema/v1_1" 
 xmlns:vz806="http://ei.vektis.nl/aanenafmeldingverzekerde/vz806/v1_1">

	<!-- retourcode 9134 DatumRedenEindeRecht moet voorkomen bij deze waarde in CodeRedenEindeRecht.-->
	
	<xsl:template name="rc9134a">

		<xsl:param name="CodeRedenEindeRecht"/>
		<xsl:param name="DatumRedenEindeRecht"/>
		
		<xsl:if test="normalize-space($CodeRedenEindeRecht) = 1601
					   or normalize-space($CodeRedenEindeRecht) = 1602 
					   or normalize-space($CodeRedenEindeRecht) = 1603
					   or normalize-space($CodeRedenEindeRecht) = 1604
					   or normalize-space($CodeRedenEindeRecht) = 1605">
			<xsl:if test="(normalize-space($DatumRedenEindeRecht) = '')">
				<vz806:Retourcode>9134</vz806:Retourcode>
			</xsl:if>
		  </xsl:if>
	</xsl:template>

</xsl:stylesheet>


